From: Angus Ainslie <angus@akkea.ca>
Date: Thu, 1 Apr 2021 11:59:25 -0700
Subject: librem5_defconfig: allow FW load from rootfs

If there is a RS9116 FW file in /lib/firmware load and flash it.

Signed-off-by: Angus Ainslie <angus@akkea.ca>
---
 arch/arm64/configs/librem5_defconfig | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

diff --git a/arch/arm64/configs/librem5_defconfig b/arch/arm64/configs/librem5_defconfig
index 3bbf59c..a29b258 100644
--- a/arch/arm64/configs/librem5_defconfig
+++ b/arch/arm64/configs/librem5_defconfig
@@ -500,11 +500,10 @@ CONFIG_MWIFIEX_USB=m
 CONFIG_RSI_91X=m
 # CONFIG_RSI_USB is not set
 CONFIG_REDPINE_91X=m
-CONFIG_RS9116_PURISM=y
-CONFIG_REDPINE_LOAD_FW_FROM_FLASH_ONLY=y
-CONFIG_RS9116_FLASH_MODE=y
 # CONFIG_REDPINE_USB is not set
 CONFIG_REDPINE_COEX_MODE=y
+CONFIG_RS9116_FLASH_MODE=y
+CONFIG_RS9116_PURISM=y
 # CONFIG_WLAN_VENDOR_ST is not set
 # CONFIG_WLAN_VENDOR_TI is not set
 # CONFIG_WLAN_VENDOR_ZYDAS is not set
